> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Locations

> List locations.



## OpenAPI

````yaml /spec/oas.yaml get /locations
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /locations:
    get:
      tags:
        - Locations
      summary: List Locations
      description: List locations.
      operationId: locations_list_locations
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
        - name: page_index
          in: query
          required: false
          schema:
            type: integer
            description: Paged results page index (starting from 1).
        - name: page_limit
          in: query
          required: false
          schema:
            type: integer
            description: Maximun number of results per page.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationListModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    LocationListModel:
      type: object
      description: Location data list results (paged).
      properties:
        current_limit:
          type: integer
          description: Maximun number of results per page.
        current_page:
          type: integer
          description: Paged results page index (starting from 1).
        results:
          $ref: '#/components/schemas/LocationModelArray'
        total_count:
          type: integer
          description: Paged results total viewable records.
        total_pages:
          type: integer
          description: Paged results total pages.
      required:
        - current_limit
        - current_page
        - results
        - total_count
        - total_pages
    LocationModelArray:
      type: array
      items:
        $ref: '#/components/schemas/LocationModel'
    LocationModel:
      type: object
      description: Location data.
      properties:
        address:
          $ref: '#/components/schemas/LocationAddressModel'
        allow_new_asset_numbers:
          type: boolean
          description: Allow input of new asset numbers.
        asset_number_required:
          type: boolean
          description: Require assets to have numbers.
        auto_billing_setup:
          type: boolean
          description: >-
            Automatically open billing when a customer is created through the
            CC.
        auto_complete_dumps:
          type: boolean
          description: Automatically complete dump jobs.
        auto_rollover_enabled:
          type: boolean
          description: >-
            Automatically move pending jobs scheduled for a date in the past to
            the current date.
        bar_code_type:
          type: string
          description: (deprecated) Set to any value to enable barcode scanning.
        billing_accounts_global:
          type: boolean
          description: Share billing accounts between locations.
        contact:
          $ref: '#/components/schemas/LocationContactModel'
        delivery_hidden:
          type: boolean
          description: >-
            Hide delivery job type in user interfaces, except for existing
            delivery jobs (job type 'L').
        delivery_name:
          type: string
          description: >-
            Name used in the UI which replaces the word 'Delivery' for job types
            (job type 'L').
        distance_factor:
          type: string
          description: >-
            Conversion factor to get from kilometers to the desired distance
            unit of measurement
        distance_label:
          type: string
          description: Distance unit of measurement
        do_share_drivers:
          type: boolean
          description: Share drivers between locations
        driver_self_assignment:
          type: boolean
          description: Driver can self assign.
        dropoff_hidden:
          type: boolean
          description: >-
            Hide dropoff job type in user interfaces, except for existing
            delivery jobs (job type 'D').
        dropoff_name:
          type: string
          description: >-
            Name used in the UI which replaces the word 'Dropoff' for job types
            (job type 'D').
        dtt_enabled:
          type: boolean
          description: Enables the Daily Truck Timeline.
        exchange_hidden:
          type: boolean
          description: >-
            Hide exchange job type in user interfaces, except for existing
            exchange jobs (job type 'E').
        exchange_name:
          type: string
          description: >-
            Name used in the UI which replaces the word 'Exchange' for job types
            (job type 'E').
        id:
          type: integer
          format: int64
          description: Location identifier.
        is_active:
          type: boolean
          description: Records marked inactive are treated as deleted (soft delete).
        leed_enabled:
          type: boolean
          description: Enable LEED features.
        main_inventory_name:
          type: string
          description: Name of the location's main inventory.
        name:
          type: string
          description: Name for a location.
        notify_on_acknowledged_job:
          type: boolean
          description: >-
            Send email notification to the location's contact when a job is
            acknowledged.
        notify_on_completed_job:
          type: boolean
          description: >-
            Send email notification to the location's contact when a job is
            completed.
        notify_on_dispatched_job:
          type: boolean
          description: >-
            Send email notification to the location's contact when a job is
            dispatched.
        notify_on_failed_job:
          type: boolean
          description: >-
            Send email notification to the location's contact when a job is
            failed.
        pickup_hidden:
          type: boolean
          description: >-
            Hide pickup job type in user interfaces, except for existing pickup
            jobs (job type 'P').
        pickup_name:
          type: string
          description: >-
            Name used in the UI which replaces the word 'Pickup' for job types
            (job type 'P').
        require_reason_fail_delay:
          type: boolean
          description: Require drivers to input the reason that a job was failed or delayed
        require_reference_number:
          type: boolean
          description: Require reference numbers when creating or editing jobs.
        require_signature:
          type: boolean
          description: Require drivers to collect signatures when completing jobs.
        service_disclaimer:
          type: string
          description: >-
            Service disclaimer text presented to customers when drivers acquire
            signatures.
        service_hidden:
          type: boolean
          description: >-
            Hide service job type in user interfaces, except for existing
            service jobs (job type 'R').
        service_name:
          type: string
          description: >-
            Name used in the UI which replaces the word 'Service' for job types
            (job type 'R').
        timezone:
          type: string
          description: Timezone identifier.
        use_additional_items:
          type: boolean
          description: Use additional items.
      required:
        - address
        - allow_new_asset_numbers
        - asset_number_required
        - auto_billing_setup
        - auto_complete_dumps
        - auto_rollover_enabled
        - bar_code_type
        - billing_accounts_global
        - contact
        - delivery_hidden
        - delivery_name
        - distance_factor
        - distance_label
        - do_share_drivers
        - driver_self_assignment
        - dropoff_hidden
        - dropoff_name
        - dtt_enabled
        - exchange_hidden
        - exchange_name
        - id
        - is_active
        - leed_enabled
        - main_inventory_name
        - name
        - notify_on_acknowledged_job
        - notify_on_completed_job
        - notify_on_dispatched_job
        - notify_on_failed_job
        - pickup_hidden
        - pickup_name
        - require_reason_fail_delay
        - require_reference_number
        - require_signature
        - service_disclaimer
        - service_hidden
        - service_name
        - timezone
        - use_additional_items
    LocationAddressModel:
      type: object
      description: Location address profile.
      properties:
        id:
          type: integer
          format: int64
          description: Location address id, always null (synthesized).
        latitude:
          type: string
          description: Latitude.
        line_1:
          type: string
          description: Location address line 1.
        line_2:
          type: string
          description: Location address line 2, always null (synthesized).
        line_3:
          type: string
          description: Location address line 3, always null (synthesized).
        line_4:
          type: string
          description: Location address line 4, always null (synthesized).
        locality:
          type: string
          description: City.
        longitude:
          type: string
          description: longitude.
        postcode:
          type: string
          description: Zip code.
        region:
          type: string
          description: State.
      required:
        - id
        - latitude
        - line_1
        - locality
        - longitude
        - region
    LocationContactModel:
      type: object
      description: Location contact profile.
      properties:
        email:
          type: string
          format: email
          description: Email address comma-separated list.
        id:
          type: integer
          format: int64
          description: Location contact id, always null (synthesized).
        name:
          type: string
          description: Contact name.
        number:
          type: string
          description: Contact phone number.
      required:
        - email
        - id
        - name
        - number
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````